## tstools 0.3.5.1

=== DESCRIPTION ===
Package: tstools
Type: Package
Version: 0.3.5.1
Title: A Time Series Toolbox for Official Statistics
Description: Plot official statistics' time series conveniently: automatic legends, highlight windows, stacked bar chars with positive and negative contributions, sum-as-line option, two y-axes with automatic horizontal grids that fit both axes and other popular chart types. 'tstools' comes with a plethora of defaults to let you plot without setting an abundance of parameters first, but gives you the flexibility to tweak the defaults. In addition to charts, 'tstools' provides a super fast, 'data.table' backed time series I/O that allows the user to export / import long format, wide format and transposed wide format data to various file types. 
Authors@R: c(
    person("Matthias", "Bannert", , "bannert@kof.ethz.ch", c("aut", "cre")),
    person("Severin", "Thoeni", , "thoenis@kof.ethz.ch", "aut"))
Depends: R (>= 3.0.0), zoo (>= 1.7-12),
Imports: xts, stats, graphics, jsonlite, data.table,
Suggests: knitr, rmarkdown, testthat, reshape2, openxlsx
VignetteBuilder: knitr
Date: 2018-02-06
URL: https://github.com/mbannert/tstools
BugReports: https://github.com/mbannert/tstools/issues
License: GPL-2
LazyData: true
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-02-06 19:33:48 UTC; mbannert
Author: Matthias Bannert [aut, cre],
  Severin Thoeni [aut]
Maintainer: Matthias Bannert <bannert@kof.ethz.ch>
Repository: CRAN
Date/Publication: 2018-02-07 13:08:21 UTC

## tstools 0.3.6

=== DESCRIPTION ===
Package: tstools
Type: Package
Version: 0.3.6
Title: A Time Series Toolbox for Official Statistics
Description: Plot official statistics' time series conveniently: automatic legends, highlight windows, stacked bar chars with positive and negative contributions, sum-as-line option, two y-axes with automatic horizontal grids that fit both axes and other popular chart types. 'tstools' comes with a plethora of defaults to let you plot without setting an abundance of parameters first, but gives you the flexibility to tweak the defaults. In addition to charts, 'tstools' provides a super fast, 'data.table' backed time series I/O that allows the user to export / import long format, wide format and transposed wide format data to various file types. 
Authors@R: c(
    person("Matthias", "Bannert", , "bannert@kof.ethz.ch", c("aut", "cre")),
    person("Severin", "Thoeni", , "thoenis@kof.ethz.ch", "aut"))
Depends: R (>= 3.0.0), zoo (>= 1.7-12),
Imports: xts, stats, graphics, jsonlite, data.table,
Suggests: knitr, rmarkdown, testthat, reshape2, openxlsx
VignetteBuilder: knitr
Date: 2018-03-12
License: GPL-2
LazyData: true
Maintainer: Matthias Bannert <bannert@kof.ethz.ch>
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-03-13 21:00:30 UTC; mbannert
Author: Matthias Bannert [aut, cre],
  Severin Thoeni [aut]
Repository: CRAN
Date/Publication: 2018-03-13 21:14:21 UTC

## tstools 0.3.6.1

=== DESCRIPTION ===
Package: tstools
Type: Package
Version: 0.3.6.1
Title: A Time Series Toolbox for Official Statistics
Description: Plot official statistics' time series conveniently: automatic legends, highlight windows, stacked bar chars with positive and negative contributions, sum-as-line option, two y-axes with automatic horizontal grids that fit both axes and other popular chart types. 'tstools' comes with a plethora of defaults to let you plot without setting an abundance of parameters first, but gives you the flexibility to tweak the defaults. In addition to charts, 'tstools' provides a super fast, 'data.table' backed time series I/O that allows the user to export / import long format, wide format and transposed wide format data to various file types. 
Authors@R: c(
    person("Matthias", "Bannert", , "bannert@kof.ethz.ch", c("aut", "cre")),
    person("Severin", "Thoeni", , "thoenis@kof.ethz.ch", "aut"))
Depends: R (>= 3.0.0), zoo (>= 1.7-12),
Imports: xts, stats, graphics, jsonlite, data.table,
Suggests: knitr, rmarkdown, testthat, reshape2, openxlsx
VignetteBuilder: knitr
Date: 2018-04-24
License: GPL-2
LazyData: true
Maintainer: Matthias Bannert <bannert@kof.ethz.ch>
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-04-24 11:21:04 UTC; mbannert
Author: Matthias Bannert [aut, cre],
  Severin Thoeni [aut]
Repository: CRAN
Date/Publication: 2018-04-24 12:18:26 UTC

## tstools 0.3.7

=== DESCRIPTION ===
Package: tstools
Type: Package
Version: 0.3.7
Title: A Time Series Toolbox for Official Statistics
Description: Plot official statistics' time series conveniently: automatic legends, highlight windows, stacked bar chars with positive and negative contributions, sum-as-line option, two y-axes with automatic horizontal grids that fit both axes and other popular chart types. 'tstools' comes with a plethora of defaults to let you plot without setting an abundance of parameters first, but gives you the flexibility to tweak the defaults. In addition to charts, 'tstools' provides a super fast, 'data.table' backed time series I/O that allows the user to export / import long format, wide format and transposed wide format data to various file types. 
Authors@R: c(
    person("Matthias", "Bannert", , "bannert@kof.ethz.ch", c("aut", "cre")),
    person("Severin", "Thoeni", , "thoenis@kof.ethz.ch", "aut"))
Depends: R (>= 3.0.0), zoo (>= 1.7-12),
Imports: xts, stats, graphics, jsonlite, data.table,
Suggests: knitr, rmarkdown, testthat, reshape2, openxlsx
VignetteBuilder: knitr
Date: 2018-07-16
License: GPL-2
LazyData: true
Maintainer: Matthias Bannert <bannert@kof.ethz.ch>
NeedsCompilation: no
Packaged: 2018-07-16 20:23:29 UTC; mbannert
Author: Matthias Bannert [aut, cre],
  Severin Thoeni [aut]
RoxygenNote: 6.0.1
Repository: CRAN
Date/Publication: 2018-07-16 20:50:03 UTC

## tstools 0.3.8

=== DESCRIPTION ===
Package: tstools
Type: Package
Version: 0.3.8
Title: A Time Series Toolbox for Official Statistics
Description: Plot official statistics' time series conveniently: automatic legends, highlight windows, stacked bar chars with positive and negative contributions, sum-as-line option, two y-axes with automatic horizontal grids that fit both axes and other popular chart types. 'tstools' comes with a plethora of defaults to let you plot without setting an abundance of parameters first, but gives you the flexibility to tweak the defaults. In addition to charts, 'tstools' provides a super fast, 'data.table' backed time series I/O that allows the user to export / import long format, wide format and transposed wide format data to various file types. 
Authors@R: c(
    person("Matthias", "Bannert", , "bannert@kof.ethz.ch", c("aut", "cre")),
    person("Severin", "Thoeni", , "thoenis@kof.ethz.ch", "aut"))
Depends: R (>= 3.0.0), zoo (>= 1.7-12),
Imports: xts, stats, graphics, jsonlite, data.table,
Suggests: knitr, rmarkdown, testthat, reshape2, openxlsx
VignetteBuilder: knitr
Date: 2018-09-11
License: GPL-2
LazyData: true
Maintainer: Matthias Bannert <bannert@kof.ethz.ch>
NeedsCompilation: no
Packaged: 2018-09-11 12:00:54 UTC; mbannert
Author: Matthias Bannert [aut, cre],
  Severin Thoeni [aut]
RoxygenNote: 6.0.1
Repository: CRAN
Date/Publication: 2018-09-11 12:20:02 UTC

## tstools 0.4.1

=== DESCRIPTION ===
Package: tstools
Type: Package
Version: 0.4.1
Title: A Time Series Toolbox for Official Statistics
Description: Plot official statistics' time series conveniently: automatic legends, highlight windows, stacked bar chars with positive and negative contributions, sum-as-line option, two y-axes with automatic horizontal grids that fit both axes and other popular chart types. 'tstools' comes with a plethora of defaults to let you plot without setting an abundance of parameters first, but gives you the flexibility to tweak the defaults. In addition to charts, 'tstools' provides a super fast, 'data.table' backed time series I/O that allows the user to export / import long format, wide format and transposed wide format data to various file types. 
Authors@R: c(
    person("Matthias", "Bannert", , "bannert@kof.ethz.ch", c("aut", "cre")),
    person("Severin", "Thoeni", , "thoenis@kof.ethz.ch", "aut"))
Depends: R (>= 3.0.0), zoo (>= 1.7-12),
Imports: xts, stats, graphics, jsonlite, data.table, yaml,
Suggests: knitr, rmarkdown, testthat, reshape2, openxlsx
VignetteBuilder: knitr
BugReports: https://github.com/mbannert/tstools/issues/
URL: https://github.com/mbannert/tstools/
Date: 2022-03-29
License: GPL-2
LazyData: true
Maintainer: Matthias Bannert <bannert@kof.ethz.ch>
NeedsCompilation: no
Author: Matthias Bannert [aut, cre],
  Severin Thoeni [aut]
RoxygenNote: 7.1.2
Packaged: 2022-03-29 18:18:52 UTC; mbannert
Repository: CRAN
Date/Publication: 2022-03-30 07:00:08 UTC

## tstools 0.4.2

=== DESCRIPTION ===
Type: Package
Package: tstools
Title: A Time Series Toolbox for Official Statistics
Version: 0.4.2
Authors@R: c(
    person("Matthias", "Bannert", , "bannert@kof.ethz.ch", role = "aut"),
    person("Severin", "Thoeni", , "thoenis@kof.ethz.ch", role = "aut"),
    person("Stéphane", "Bisinger", , "bisinger@kof.ethz.ch", role = c("aut", "cre"))
  )
Description: Plot official statistics' time series conveniently: automatic
    legends, highlight windows, stacked bar chars with positive and
    negative contributions, sum-as-line option, two y-axes with automatic
    horizontal grids that fit both axes and other popular chart types.
    'tstools' comes with a plethora of defaults to let you plot without
    setting an abundance of parameters first, but gives you the
    flexibility to tweak the defaults. In addition to charts, 'tstools'
    provides a super fast, 'data.table' backed time series I/O that allows
    the user to export / import long format, wide format and transposed
    wide format data to various file types.
License: GPL-2
URL: https://github.com/KOF-ch/tstools
BugReports: https://github.com/KOF-ch/tstools/issues
Depends: R (>= 3.0.0), zoo (>= 1.7-12)
Imports: data.table, graphics, jsonlite, stats, xts, yaml
Suggests: knitr, openxlsx, reshape2, rmarkdown, testthat
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
NeedsCompilation: no
RoxygenNote: 7.1.2
Packaged: 2023-06-07 14:58:31 UTC; sbisinger
Author: Matthias Bannert [aut],
  Severin Thoeni [aut],
  Stéphane Bisinger [aut, cre]
Maintainer: Stéphane Bisinger <bisinger@kof.ethz.ch>
Repository: CRAN
Date/Publication: 2023-06-07 16:40:02 UTC

## tstools 0.4.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: tstools
 Title: A Time Series Toolbox for Official Statistics
-Version: 0.4.2
+Version: 0.4.3
 Authors@R: c(
     person("Matthias", "Bannert", , "bannert@kof.ethz.ch", role = "aut"),
     person("Severin", "Thoeni", , "thoenis@kof.ethz.ch", role = "aut"),
@@ -27,11 +27,11 @@
 Encoding: UTF-8
 LazyData: true
 NeedsCompilation: no
-RoxygenNote: 7.1.2
-Packaged: 2023-06-07 14:58:31 UTC; sbisinger
+RoxygenNote: 7.2.3
+Packaged: 2024-01-18 17:35:15 UTC; sb
 Author: Matthias Bannert [aut],
   Severin Thoeni [aut],
   Stéphane Bisinger [aut, cre]
 Maintainer: Stéphane Bisinger <bisinger@kof.ethz.ch>
 Repository: CRAN
-Date/Publication: 2023-06-07 16:40:02 UTC
+Date/Publication: 2024-01-18 18:10:02 UTC

## tstools 0.4.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: tstools
 Title: A Time Series Toolbox for Official Statistics
-Version: 0.4.3
+Version: 0.4.4
 Authors@R: c(
     person("Matthias", "Bannert", , "bannert@kof.ethz.ch", role = "aut"),
     person("Severin", "Thoeni", , "thoenis@kof.ethz.ch", role = "aut"),
@@ -18,20 +18,22 @@
     the user to export / import long format, wide format and transposed
     wide format data to various file types.
 License: GPL-2
-URL: https://github.com/KOF-ch/tstools
+URL: https://kof-ch.github.io/tstools/,
+        https://github.com/KOF-ch/tstools
 BugReports: https://github.com/KOF-ch/tstools/issues
 Depends: R (>= 3.0.0), zoo (>= 1.7-12)
 Imports: data.table, graphics, jsonlite, stats, xts, yaml
-Suggests: knitr, openxlsx, reshape2, rmarkdown, testthat
+Suggests: knitr, openxlsx, reshape2, rmarkdown, testthat (>= 3.0.0)
 VignetteBuilder: knitr
 Encoding: UTF-8
 LazyData: true
 NeedsCompilation: no
-RoxygenNote: 7.2.3
-Packaged: 2024-01-18 17:35:15 UTC; sb
+RoxygenNote: 7.3.3
+Config/testthat/edition: 3
+Packaged: 2025-09-11 10:32:23 UTC; sb
 Author: Matthias Bannert [aut],
   Severin Thoeni [aut],
   Stéphane Bisinger [aut, cre]
 Maintainer: Stéphane Bisinger <bisinger@kof.ethz.ch>
 Repository: CRAN
-Date/Publication: 2024-01-18 18:10:02 UTC
+Date/Publication: 2025-09-11 10:50:08 UTC

## tstools 1.11

=== Makefile ===
# Makefile for the H.264 Elementary Stream software
# - temporarily hacked to work on Mac OS/X 10.5 (Leopard)
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the MPEG TS, PS and ES tools.
#
# The Initial Developer of the Original Code is Amino Communications Ltd.
# Portions created by the Initial Developer are Copyright (C) 2008
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Amino Communications Ltd, Swavesey, Cambridge UK
#
# ***** END LICENSE BLOCK *****
#
### RUN WITH GNU MAKE

# Gnu make recommends always setting some standard variables
SHELL = /bin/sh

# And re-establishing the required suffix list
.SUFFIXES:
.SUFFIXES: .c .o

ifdef CROSS_COMPILE
CC = $(CROSS_COMPILE)gcc
else
CC = gcc
endif

# Use WARN=1 periodically to get too many warnings...
ifdef WARN
WARNING_FLAGS = -Wall -W -Wfloat-equal -Wundef -Wshadow -Wpointer-arith -Wcast-qual -Wconversion -Wmissing-prototypes -Wmissing-declarations -Wunreachable-code -Winline
else
WARNING_FLAGS = -Wall
endif

# Use NOOPT=1 if using valgrind --tool=memcheck/addrecheck
ifdef NOOPT
OPTIMISE_FLAGS = -g
else
OPTIMISE_FLAGS = -O2 -g
endif

# Use PROFILE=1 to allow use of gprof (but this is *not* needed for valgrind)
ifdef PROFILE
PROFILE_FLAGS = -pg
else
PROFILE_FLAGS = 
endif

# On Linux, large file support is not necessarily enabled. To make programs
# assume large file support, it is necessary to build them with _FILE_OFFSET_BITS=64.
# This replaces the "standard" short file operations with equivalent large file
# operations.
# On (Free)BSD, this is not necessary, but conversely it does not look like defining
# the flags will have any effect either.
LFS_FLAGS = -D_FILE_OFFSET_BITS=64

# Try for a best guess whether this is a Mac running OS/X, or some other
# sort of thing (presumably Linux or BSD)
ifeq ($(shell uname -s), Darwin)
	SYSTEM = "macosx"
	ARCH_FLAGS = -arch ppc -arch i386
else
	SYSTEM = "other"
	ARCH_FLAGS =
endif

CFLAGS = $(WARNING_FLAGS) $(OPTIMISE_FLAGS) $(LFS_FLAGS) -I. $(PROFILE_FLAGS) $(ARCH_FLAGS)
LDFLAGS = -g -lm $(PROFILE_FLAGS) $(ARCH_FLAGS)

# Target directories
OBJDIR = obj
LIBDIR = lib
BINDIR = bin

# All of our non-program source files
SRCS = \
 accessunit.c \
 ac3.c \
 adts.c \
 avs.c \
 bitdata.c \
 es.c \
 fmtx.c \
 h222.c \
 h262.c \
 audio.c \
 l2audio.c \
 misc.c \
 nalunit.c \
 ps.c \
 pes.c \
 pidint.c \
 ts.c \
 tswrite.c \
 pcap.c 

# All of our non-program object modules
OBJS = \
 accessunit.o \
 avs.o \
 ac3.o \
 adts.o \
 bitdata.o \
 es.o \
 filter.o \
 fmtx.o \
 h222.o \
 h262.o \
 audio.o \
 l2audio.o \
 misc.o \
 nalunit.o \
 ps.o \
 pes.o \
 pidint.o \
 reverse.o \
 ts.o \
 tswrite.o \
 pcap.o \
 ethernet.o \
 ipv4.o

# Our program object modules
PROG_OBJS = \
  $(OBJDIR)/es2ts.o \
  $(OBJDIR)/esdots.o \
  $(OBJDIR)/esfilter.o \
  $(OBJDIR)/esmerge.o \
  $(OBJDIR)/esreport.o \
  $(OBJDIR)/esreverse.o \
  $(OBJDIR)/ps2ts.o \
  $(OBJDIR)/psreport.o \
  $(OBJDIR)/psdots.o \
  $(OBJDIR)/stream_type.o \
  $(OBJDIR)/ts2es.o \
  $(OBJDIR)/tsinfo.o \
  $(OBJDIR)/tsplay.o \
  $(OBJDIR)/tsreport.o \
  $(OBJDIR)/tsserve.o \
  $(OBJDIR)/ts_packet_insert.o \
  $(OBJDIR)/m2ts2ts.o \
  $(OBJDIR)/pcapreport.o 
#\
#  $(OBJDIR)/test_ps.o

TS2PS_OBJS = $(OBJDIR)/ts2ps.o

TEST_PES_OBJS = $(OBJDIR)/test_pes.o 

TEST_OBJS = \
  $(OBJDIR)/test_nal_unit_list.o \
  $(OBJDIR)/test_es_unit_list.o

# Our library
LIB = $(LIBDIR)/libtstools.a
LIBOPTS = -L$(LIBDIR) -ltstools $(ARCH_FLAGS)

# All of our programs (except the testing ones)
PROGS = \
  $(BINDIR)/esfilter \
  $(BINDIR)/ts2es \
  $(BINDIR)/es2ts \
  $(BINDIR)/esdots \
  $(BINDIR)/esmerge \
  $(BINDIR)/esreport \
  $(BINDIR)/esreverse \
  $(BINDIR)/ps2ts \
  $(BINDIR)/psreport \
  $(BINDIR)/psdots \
  $(BINDIR)/stream_type \
  $(BINDIR)/tsinfo \
  $(BINDIR)/tsreport \
  $(BINDIR)/tsplay \
  $(BINDIR)/tsserve \
  $(BINDIR)/ts_packet_insert \
  $(BINDIR)/m2ts2ts \
  $(BINDIR)/pcapreport 
#\
#  $(BINDIR)/test_ps

TS2PS_PROG = $(BINDIR)/ts2ps

# Is test_pes still useful?
TEST_PES_PROG = $(BINDIR)/test_pes 

# And then the testing programs (which we only build if we are
# running the tests)
TEST_PROGS = test_nal_unit_list test_es_unit_list

# ------------------------------------------------------------
all:	$(BINDIR) $(LIBDIR) $(OBJDIR) $(PROGS)

# ts2ps is not yet an offical program, so for the moment build
# it separately
.PHONY: ts2ps
ts2ps:	$(TS2PS_PROG)

ifeq ($(shell uname -s), Darwin)
# Try getting a library containing universal objects on Mac
$(LIB): $(OBJS)
	libtool -static $(OBJS) -o $(LIB)
else
$(LIB): $(LIB)($(OBJS))
endif

$(BINDIR)/esfilter:	$(OBJDIR)/esfilter.o $(LIB)
		$(CC) $< -o $(BINDIR)/esfilter $(LDFLAGS) $(LIBOPTS)

$(BINDIR)/ts2es:		$(OBJDIR)/ts2es.o $(LIB)
		$(CC) $< -o $(BINDIR)/ts2es $(LDFLAGS) $(LIBOPTS)

$(BINDIR)/es2ts:		$(OBJDIR)/es2ts.o $(LIB)
		$(CC) $< -o $(BINDIR)/es2ts $(LDFLAGS) $(LIBOPTS)

$(BINDIR)/esdots:		$(OBJDIR)/esdots.o $(LIB)
		$(CC) $< -o $(BINDIR)/esdots $(LDFLAGS) $(LIBOPTS)

$(BINDIR)/esmerge:	$(OBJDIR)/esmerge.o $(LIB)
		$(CC) $< -o $(BINDIR)/esmerge $(LDFLAGS) $(LIBOPTS)

$(BINDIR)/esreport:	$(OBJDIR)/esreport.o $(LIB)
		$(CC) $< -o $(BINDIR)/esreport $(LDFLAGS) $(LIBOPTS)

$(BINDIR)/esreverse:	$(OBJDIR)/esreverse.o $(LIB)
		$(CC) $< -o $(BINDIR)/esreverse $(LDFLAGS) $(LIBOPTS)

$(BINDIR)/stream_type:	$(OBJDIR)/stream_type.o $(LIB)
		$(CC) $< -o $(BINDIR)/stream_type $(LDFLAGS) $(LIBOPTS)

$(BINDIR)/psreport:	$(OBJDIR)/psreport.o $(LIB)
		$(CC) $< -o $(BINDIR)/psreport $(LDFLAGS) $(LIBOPTS)

$(BINDIR)/psdots:	$(OBJDIR)/psdots.o $(LIB)
		$(CC) $< -o $(BINDIR)/psdots $(LDFLAGS) $(LIBOPTS)

$(BINDIR)/ps2ts:		$(OBJDIR)/ps2ts.o $(LIB)
		$(CC) $< -o $(BINDIR)/ps2ts $(LDFLAGS) $(LIBOPTS)

$(BINDIR)/tsinfo:		$(OBJDIR)/tsinfo.o $(LIB)
		$(CC) $< -o $(BINDIR)/tsinfo $(LDFLAGS) $(LIBOPTS)

$(BINDIR)/tsreport:	$(OBJDIR)/tsreport.o $(LIB)
		$(CC) $< -o $(BINDIR)/tsreport $(LDFLAGS) $(LIBOPTS)

$(BINDIR)/tsserve:	$(OBJDIR)/tsserve.o $(LIB)
		$(CC) $< -o $(BINDIR)/tsserve $(LDFLAGS) $(LIBOPTS)

$(BINDIR)/tsplay:		$(OBJDIR)/tsplay.o $(LIB)
		$(CC) $< -o $(BINDIR)/tsplay $(LDFLAGS) $(LIBOPTS)

$(BINDIR)/test_ps:	$(OBJDIR)/test_ps.o $(LIB)
		$(CC) $< -o $(BINDIR)/test_ps $(LDFLAGS) $(LIBOPTS)

$(BINDIR)/ts2ps:		$(OBJDIR)/ts2ps.o $(LIB)
		$(CC) $< -o $(BINDIR)/ts2ps $(LDFLAGS) $(LIBOPTS)

$(BINDIR)/ts_packet_insert:	$(OBJDIR)/ts_packet_insert.o $(LIB)
		$(CC) $< -o $(BINDIR)/ts_packet_insert $(LDFLAGS) $(LIBOPTS)

$(BINDIR)/m2ts2ts:		$(OBJDIR)/m2ts2ts.o $(LIB)
		$(CC) $< -o $(BINDIR)/m2ts2ts $(LDFLAGS) $(LIBOPTS)
$(BINDIR)/pcapreport:	$(OBJDIR)/pcapreport.o $(LIB)
		$(CC) $< -o $(BINDIR)/pcapreport $(LDFLAGS) $(LIBOPTS)




$(BINDIR)/test_pes:	$(OBJDIR)/test_pes.o $(LIB)
		$(CC) $< -o $(BINDIR)/test_pes $(LDFLAGS) $(LIBOPTS)

$(BINDIR)/test_nal_unit_list: 	$(OBJDIR)/test_nal_unit_list.o $(LIB)
			$(CC) $< -o $(BINDIR)/test_nal_unit_list $(LDFLAGS) $(LIBOPTS)
$(BINDIR)/test_es_unit_list:  	$(OBJDIR)/test_es_unit_list.o $(LIB)
			$(CC) $< -o $(BINDIR)/test_es_unit_list $(LDFLAGS) $(LIBOPTS)

# Some header files depend upon others, so including one requires
# the others as well
ES_H = es_fns.h es_defns.h h222_fns.h h222_defns.h
TS_H = ts_fns.h ts_defns.h h222_fns.h h222_defns.h tswrite_fns.h \
       tswrite_defns.h pidint_fns.h pidint_defns.h
ACCESSUNIT_H = accessunit_fns.h accessunit_defns.h $(NALUNIT_H)
NALUNIT_H = nalunit_fns.h nalunit_defns.h es_fns.h es_defns.h \
            bitdata_fns.h bitdata_defns.h
PES_H = pes_fns.h pes_defns.h
PS_H = ps_fns.h ps_defns.h
AVS_H = avs_fns.h avs_defns.h
H262_H = h262_fns.h h262_defns.h
TSWRITE_H = tswrite_fns.h tswrite_defns.h
REVERSE_H = reverse_fns.h reverse_defns.h
FILTER_H = filter_fns.h filter_defns.h $(REVERSE_H)
AUDIO_H = adts_fns.h l2audio_fns.h ac3_fns.h audio_fns.h audio_defns.h adts_defns.h

# Everyone depends upon the basic configuration file
$(LIB)($(OBJS)) $(TEST_OBJS) $(PROG_OBJS): compat.h

# Which library modules depend on which header files is complex, so
# lets just be simple
$(LIB)($(OBJS)): $(ACCESSUNIT_H) $(NALUNIT_H) $(TS_H) $(ES_H) $(PES_H) \
                 misc_fns.h $(PS_H) $(H262_H) $(TSWRITE_H) $(AVS_H) \
                 $(REVERSE_H) $(FILTER_H) $(AUDIO_H)

$(OBJDIR)/es2ts.o:        es2ts.c $(ES_H) $(TS_H) misc_fns.h version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/esdots.o:       esdots.c misc_fns.h $(ACCESSUNIT_H) $(H262_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/esfilter.o:     esfilter.c $(TS_H) misc_fns.h $(ACCESSUNIT_H) $(H262_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/esreport.o:     esreport.c misc_fns.h $(ACCESSUNIT_H) $(H262_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/esmerge.o:     esmerge.c misc_fns.h $(ACCESSUNIT_H) $(AUDIO_H) $(TSWRITE_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/esreverse.o:    esreverse.c $(TS_H) $(REVERSE_H) misc_fns.h $(ACCESSUNIT_H) $(H262_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/fmtx.o:         fmtx.c fmtx.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/psreport.o:     psreport.c $(ES_H) $(PS_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/psdots.o:     psdots.c $(ES_H) $(PS_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/ps2ts.o:        ps2ts.c $(TS_H) misc_fns.h version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/stream_type.o:  stream_type.c $(ES_H) $(TS_H) $(NALUNIT_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/ts2es.o:        ts2es.c $(TS_H) misc_fns.h version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/ts2ps.o:        ts2ps.c $(TS_H) $(PS_H) misc_fns.h version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/tsinfo.o:       tsinfo.c $(TS_H) misc_fns.h version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/tsreport.o:     tsreport.c $(TS_H) fmtx.h misc_fns.h version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/tsserve.o:     tsserve.c $(TS_H) $(PS_H) $(ES_H) misc_fns.h $(PES_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/ts_packet_insert.o:     ts_packet_insert.c 
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/tsplay.o:       tsplay.c $(TS_H) misc_fns.h $(PS_H) $(PES_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/tswrite.o:      tswrite.c misc_fns.h version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/m2ts2ts.o:	  m2ts2ts.c $(TS_H) misc_fns.h version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/pcapreport.o:      pcapreport.c pcap.h version.h misc_fns.h
	$(CC) -c $< -o $@ $(CFLAGS)

$(OBJDIR)/test_pes.o: test_pes.c $(TS_H) $(PS_H) $(ES_H) misc_fns.h $(PES_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/test_ps.o: test_ps.c $(PS_H) misc_fns.h version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/test_nal_unit_list.o: test_nal_unit_list.c $(NALUNIT_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/test_es_unit_list.o: test_es_unit_list.c $(ES_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)

# ------------------------------------------------------------
# Directory creation

$(OBJDIR):
	mkdir $(OBJDIR)

$(LIBDIR):
	mkdir $(LIBDIR)

$(BINDIR):
	mkdir $(BINDIR)

# ------------------------------------------------------------
.PHONY: objclean
objclean:
	-rm -f $(OBJS)
	-rm -f $(TEST_OBJS)
	-rm -f $(TEST_PROGS)
	-rm -f $(TS2PS_OBJS) $(TS2PS_PROG)
	-rm -f $(TEST_PES_OBJS) $(TEST_PES_PROG)
	-rm -f ES_test3.ts  es_test3.ts
	-rm -f ES_test2.264 es_test3.264
	-rm -f es_test_a.ts es_test_a.264
	-rm -f es_test_b.ts es_test_b.264
	-rm -f *.core

.PHONY: clean
clean: objclean
	-rm -f $(PROGS)
	-rm -f $(LIB)
	-rm -f $(PROG_OBJS)

.PHONY: distclean
distclean: clean
	-rmdir $(OBJDIR)
	-rmdir $(LIBDIR)
	-rmdir $(BINDIR)

TESTDATAFILE = /data/video/CVBt_hp_trail.264

=== yuv2/Makefile ===
#
# Set JAVA_HOME to the location of your Java installation.
# Set SWTDIR to the location which contains your swt.jar.
#
# make will then build a yuv2.jar . 
# 
# bin/ contains a script wrapper you can use to invoke your
#  yuv2.jar . Edit bin/yuv2 to give the location of your yuv2.jar.
#

SRC_DIR=src/com/aminocom/yuv2
SRC_FILES=AboutBox.java BufferedImage.java FormatDialog.java \
	ImageCanvas.java LogWindow.java MainFrame.java Prefs.java \
	Utils.java YUV2.java

LOCATED_SRC=$(SRC_FILES:%.java=$(SRC_DIR)/%.java)


all:
	if [ ! -d obj ]; then mkdir obj; fi
	$$JAVA_HOME/bin/javac -cp $$SWTDIR/swt.jar -d obj -sourcepath bin $(LOCATED_SRC)
	(cd obj; $$JAVA_HOME/bin/jar -xf $$SWTDIR/swt.jar)
	(cd obj; $$JAVA_HOME/bin/jar -cmf ../src/Manifest-Extras.txt ../yuv2.jar *)

clean:
	rm -rf obj
	rm -f yuv2.jar


# End file.

## tstools 1.13~git20151030

=== Makefile ===
# Makefile for the H.264 Elementary Stream software
# - temporarily hacked to work on Mac OS/X 10.5 (Leopard)
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the MPEG TS, PS and ES tools.
#
# The Initial Developer of the Original Code is Amino Communications Ltd.
# Portions created by the Initial Developer are Copyright (C) 2008
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Amino Communications Ltd, Swavesey, Cambridge UK
#
# ***** END LICENSE BLOCK *****
#
### RUN WITH GNU MAKE

# Gnu make recommends always setting some standard variables
SHELL = /bin/sh

# And re-establishing the required suffix list
.SUFFIXES:
.SUFFIXES: .c .o

# GNU conventional destination vars
prefix=/usr/local
exec_prefix=$(prefix)
bindir=$(exec_prefix)/bin
libdir=$(exec_prefix)/lib
mandir=/usr/local/man
man1dir=$(mandir)/man1
manext=.1

INSTALL=install
INSTALL_PROGRAM=$(INSTALL) -m 0555 -s
INSTALL_LIB=$(INSTALL) -m 0444 -s
INSTALL_DATA=$(INSTALL) -m 0444

TSTOOLS_VERSION=1.13
TSTOOLS_LIB_VERSION=1

ifdef CROSS_COMPILE
CC = $(CROSS_COMPILE)gcc
else
CC = gcc
endif

# Use WARN=1 periodically to get too many warnings...
ifdef WARN
WARNING_FLAGS = -Wall -W -Wfloat-equal -Wundef -Wshadow -Wpointer-arith -Wcast-qual -Wconversion -Wmissing-prototypes -Wmissing-declarations -Wunreachable-code -Winline
else
WARNING_FLAGS = -Wall
endif

# Use NOOPT=1 if using valgrind --tool=memcheck/addrecheck
ifdef NOOPT
OPTIMISE_FLAGS = -g
else
OPTIMISE_FLAGS = -O2 -g
endif

# Use PROFILE=1 to allow use of gprof (but this is *not* needed for valgrind)
ifdef PROFILE
PROFILE_FLAGS = -pg
else
PROFILE_FLAGS = 
endif

# On Linux, large file support is not necessarily enabled. To make programs
# assume large file support, it is necessary to build them with _FILE_OFFSET_BITS=64.
# This replaces the "standard" short file operations with equivalent large file
# operations.
# On (Free)BSD, this is not necessary, but conversely it does not look like defining
# the flags will have any effect either.
LFS_FLAGS = -D_FILE_OFFSET_BITS=64

# Try for a best guess whether this is a Mac running OS/X, or some other
# sort of thing (presumably Linux or BSD)
ifeq ($(shell uname -s), Darwin)
	SYSTEM = "macosx"
	ARCH_FLAGS =
	# If you're still building on a version of Mac OS X that supports powerpc,
	# then you may want to uncomment the next line. Obviously, this no longer
	# works in Lion, which doesn't support powerpc machines any more.
	#ARCH_FLAGS = -arch ppc -arch i386
else
	SYSTEM = "other"
	ARCH_FLAGS = -fPIC
endif

CFLAGS += $(WARNING_FLAGS) $(OPTIMISE_FLAGS) $(LFS_FLAGS) -I. $(PROFILE_FLAGS) $(ARCH_FLAGS) -DTSTOOLS_VERSION=$(TSTOOLS_VERSION)
LDFLAGS += -g $(PROFILE_FLAGS) $(ARCH_FLAGS) -lm

# Target directories
OBJDIR = obj
LIBDIR = lib
BINDIR = bin
MANDIR = docs/mdoc

# All of our non-program object modules
OBJS = \
 $(OBJDIR)/accessunit.o \
 $(OBJDIR)/avs.o \
 $(OBJDIR)/ac3.o \
 $(OBJDIR)/adts.o \
 $(OBJDIR)/bitdata.o \
 $(OBJDIR)/es.o \
 $(OBJDIR)/filter.o \
 $(OBJDIR)/fmtx.o \
 $(OBJDIR)/h222.o \
 $(OBJDIR)/h262.o \
 $(OBJDIR)/audio.o \
 $(OBJDIR)/l2audio.o \
 $(OBJDIR)/misc.o \
 $(OBJDIR)/nalunit.o \
 $(OBJDIR)/ps.o \
 $(OBJDIR)/pes.o \
 $(OBJDIR)/pidint.o \
 $(OBJDIR)/printing.o \
 $(OBJDIR)/reverse.o \
 $(OBJDIR)/ts.o \
 $(OBJDIR)/tsplay_innards.o \
 $(OBJDIR)/tswrite.o \
 $(OBJDIR)/pcap.o \
 $(OBJDIR)/ethernet.o \
 $(OBJDIR)/ipv4.o

# Our program object modules
PROG_OBJS = \
  $(OBJDIR)/es2ts.o \
  $(OBJDIR)/esdots.o \
  $(OBJDIR)/esfilter.o \
  $(OBJDIR)/esmerge.o \
  $(OBJDIR)/esreport.o \
  $(OBJDIR)/esreverse.o \
  $(OBJDIR)/ps2ts.o \
  $(OBJDIR)/psreport.o \
  $(OBJDIR)/psdots.o \
  $(OBJDIR)/stream_type.o \
  $(OBJDIR)/ts2es.o \
  $(OBJDIR)/tsdvbsub.o \
  $(OBJDIR)/tsinfo.o \
  $(OBJDIR)/tsplay.o \
  $(OBJDIR)/tsreport.o \
  $(OBJDIR)/tsserve.o \
  $(OBJDIR)/ts_packet_insert.o \
  $(OBJDIR)/m2ts2ts.o \
  $(OBJDIR)/pcapreport.o  \
  $(OBJDIR)/tsfilter.o

TS2PS_OBJS = $(OBJDIR)/ts2ps.o

TEST_PES_OBJS = $(OBJDIR)/test_pes.o 
TEST_PRINTING_OBJS = $(OBJDIR)/test_printing.o 

TEST_OBJS = \
  $(OBJDIR)/test_nal_unit_list.o \
  $(OBJDIR)/test_es_unit_list.o

# Our library
STATIC_LIB = $(LIBDIR)/libtstools.a
LIBOPTS = $(ARCH_FLAGS) $(STATIC_LIB)

ifeq ($(shell uname -s), Darwin)
SHARED_LIB_NAME = libtstools.xxx
else
SHARED_LIB_NAME = libtstools.so
endif
SHARED_LIB = $(LIBDIR)/$(SHARED_LIB_NAME)

# All of our programs (except the testing ones)
PROGS = \
  $(BINDIR)/esfilter \
  $(BINDIR)/ts2es \
  $(BINDIR)/es2ts \
  $(BINDIR)/esdots \
  $(BINDIR)/esmerge \
  $(BINDIR)/esreport \
  $(BINDIR)/esreverse \
  $(BINDIR)/ps2ts \
  $(BINDIR)/psreport \
  $(BINDIR)/psdots \
  $(BINDIR)/stream_type \
  $(BINDIR)/tsdvbsub \
  $(BINDIR)/tsinfo \
  $(BINDIR)/tsreport \
  $(BINDIR)/tsplay \
  $(BINDIR)/tsserve \
  $(BINDIR)/ts_packet_insert \
  $(BINDIR)/m2ts2ts \
  $(BINDIR)/pcapreport \
  $(BINDIR)/tsfilter \
  $(BINDIR)/rtp2264

TS2PS_PROG = $(BINDIR)/ts2ps

# Is test_pes still useful?
TEST_PES_PROG = $(BINDIR)/test_pes 
TEST_PRINTING_PROG = $(BINDIR)/test_printing 

# And then the testing programs (which we only build if we are
# running the tests)
TEST_PROGS = test_nal_unit_list test_es_unit_list

# ------------------------------------------------------------
all:	$(BINDIR) $(LIBDIR) $(OBJDIR) $(PROGS) $(SHARED_LIB)

# ts2ps is not yet an offical program, so for the moment build
# it separately
.PHONY: ts2ps
ts2ps:	$(TS2PS_PROG)

ifeq ($(shell uname -s), Darwin)
# Make libraries containing universal objects on Mac
$(STATIC_LIB): $(OBJS)
	libtool -static $(OBJS) -o $(STATIC_LIB)
$(SHARED_LIB): $(OBJS)
	libtool -dynamic $(OBJS) -o $(SHARED_LIB)
else
$(STATIC_LIB): $(OBJS)
	rm -f $(STATIC_LIB)
	ar rc $(STATIC_LIB) $(OBJS)

$(SHARED_LIB): $(OBJS)
	$(LD) -shared -soname $(SHARED_LIB_NAME).$(TSTOOLS_LIB_VERSION) -o $(SHARED_LIB) $(OBJS) -lc -lm
endif

# Build all of the utilities with the static library, so that they can
# be copied around, shared, etc., without having to think about it

$(BINDIR)/esfilter: $(OBJDIR)/esfilter.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/ts2es: $(OBJDIR)/ts2es.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/es2ts: $(OBJDIR)/es2ts.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/esdots: $(OBJDIR)/esdots.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/esmerge: $(OBJDIR)/esmerge.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/esreport: $(OBJDIR)/esreport.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/esreverse: $(OBJDIR)/esreverse.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/stream_type: $(OBJDIR)/stream_type.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/psreport: $(OBJDIR)/psreport.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/psdots: $(OBJDIR)/psdots.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/ps2ts: $(OBJDIR)/ps2ts.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/tsinfo: $(OBJDIR)/tsinfo.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/tsreport: $(OBJDIR)/tsreport.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/tsserve: $(OBJDIR)/tsserve.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/tsplay: $(OBJDIR)/tsplay.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/ts_packet_insert: $(OBJDIR)/ts_packet_insert.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/m2ts2ts: $(OBJDIR)/m2ts2ts.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/pcapreport: $(OBJDIR)/pcapreport.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/tsfilter: $(OBJDIR)/tsfilter.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/tsdvbsub: $(OBJDIR)/tsdvbsub.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/rtp2264: $(OBJDIR)/rtp2264.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)


# Not installed
$(BINDIR)/ts2ps: $(OBJDIR)/ts2ps.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)


$(BINDIR)/test_pes: $(OBJDIR)/test_pes.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/test_printing: $(OBJDIR)/test_printing.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/test_nal_unit_list: $(OBJDIR)/test_nal_unit_list.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

$(BINDIR)/test_es_unit_list: $(OBJDIR)/test_es_unit_list.o $(STATIC_LIB)
	$(CC) $< -o $@ $(LIBOPTS) $(LDFLAGS)

# Some header files depend upon others, so including one requires
# the others as well
ES_H = es_fns.h es_defns.h h222_fns.h h222_defns.h
TS_H = ts_fns.h ts_defns.h h222_fns.h h222_defns.h tswrite_fns.h \
       tswrite_defns.h pidint_fns.h pidint_defns.h
ACCESSUNIT_H = accessunit_fns.h accessunit_defns.h $(NALUNIT_H)
NALUNIT_H = nalunit_fns.h nalunit_defns.h es_fns.h es_defns.h \
            bitdata_fns.h bitdata_defns.h
PES_H = pes_fns.h pes_defns.h
PS_H = ps_fns.h ps_defns.h
AVS_H = avs_fns.h avs_defns.h
H262_H = h262_fns.h h262_defns.h
TSWRITE_H = tswrite_fns.h tswrite_defns.h
REVERSE_H = reverse_fns.h reverse_defns.h
FILTER_H = filter_fns.h filter_defns.h $(REVERSE_H)
AUDIO_H = adts_fns.h l2audio_fns.h ac3_fns.h audio_fns.h audio_defns.h adts_defns.h

# Everyone depends upon the basic configuration file, and I assert they all
# want (or may want) printing...
$(OBJS) $(TEST_OBJS) $(PROG_OBJS): compat.h printing_fns.h

# Which library modules depend on which header files is complex, so
# lets just be simple
$(OBJS): \
                 $(ACCESSUNIT_H) $(NALUNIT_H) $(TS_H) $(ES_H) $(PES_H) \
                 misc_fns.h printing_fns.h $(PS_H) $(H262_H) \
                 $(TSWRITE_H) $(AVS_H) $(REVERSE_H) $(FILTER_H) $(AUDIO_H)

$(OBJDIR)/%.o: %.c
	$(CC) -c $< -o $@ $(CFLAGS)

$(OBJDIR)/es2ts.o:        es2ts.c $(ES_H) $(TS_H) misc_fns.h version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/esdots.o:       esdots.c misc_fns.h $(ACCESSUNIT_H) $(H262_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/esfilter.o:     esfilter.c $(TS_H) misc_fns.h $(ACCESSUNIT_H) $(H262_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/esreport.o:     esreport.c misc_fns.h $(ACCESSUNIT_H) $(H262_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/esmerge.o:     esmerge.c misc_fns.h $(ACCESSUNIT_H) $(AUDIO_H) $(TSWRITE_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/esreverse.o:    esreverse.c $(TS_H) $(REVERSE_H) misc_fns.h $(ACCESSUNIT_H) $(H262_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/fmtx.o:         fmtx.c fmtx.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/psreport.o:     psreport.c $(ES_H) $(PS_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/psdots.o:     psdots.c $(ES_H) $(PS_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/ps2ts.o:        ps2ts.c $(TS_H) misc_fns.h version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/stream_type.o:  stream_type.c $(ES_H) $(TS_H) $(NALUNIT_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/ts2es.o:        ts2es.c $(TS_H) misc_fns.h version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/ts2ps.o:        ts2ps.c $(TS_H) $(PS_H) misc_fns.h version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/tsdvbsub.o:     tsdvbsub.c $(TS_H) misc_fns.h version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/tsinfo.o:       tsinfo.c $(TS_H) misc_fns.h version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/tsreport.o:     tsreport.c $(TS_H) fmtx.h misc_fns.h version.h
	$(CC) -c $< -o $@ $(CFLAGS)
$(OBJDIR)/tsserve.o:     tsserve.c $(TS_H) $(PS_H) $(ES_H) misc_fns.h $(PES_H) version.h
	$(CC) -c $< -o $@ $(CFLAGS)

=== python/Makefile ===
# This is a preliminary Makefile for experimentin with Pyrex builds
# It assumes that the normal tstools Makefile has been used to build
# the tools already. It also assumes that Pyrex is installed, and that
# pyrexc is on the path. It probably assumes Linux or Mac OS/X as well...

# Note: Building tstools.pyx needs at least Pyrex 0.9.7 (because I use the new
# 'for' loop syntax, apart from anything else). On Ubuntu, this means
# installing it "by hand", as the version packaged for Hardy Heron (as of
# 27-Aug-2008, at least) is 0.9.6.4

# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1
# 
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
# 
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
# 
# The Original Code is the MPEG TS, PS and ES tools.
# 
# The Initial Developer of the Original Code is Amino Communications Ltd.
# Portions created by the Initial Developer are Copyright (C) 2008
# the Initial Developer. All Rights Reserved.
# 
# Contributor(s):
#   Tibs (tibs@berlios.de)
# 
# ***** END LICENSE BLOCK *****

.PHONY: all setup test
all:	setup test

.PHONY: setup
setup:
	python Setup.py build_ext --inplace

.PHONY: test
test:	setup
	./rundoctest.py

.PHONY: clean
clean:
	python Setup.py clean
	-rm tstools/*.so

.PHONY: distclean
distclean: clean
	-rm tstools/*.c

=== debian/changelog ===
tstools (1.13~git20151030-7) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with GCC 15. (Closes: #1098019)

 -- Adrian Bunk <bunk@debian.org>  Tue, 30 Sep 2025 16:23:46 +0300

tstools (1.13~git20151030-6) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 21:24:56 +0000

tstools (1.13~git20151030-5) unstable; urgency=medium

  * QA upload.
  * debian/rules: Use dh13 syntax.
  * debian/*.1: Dropped in favor of upstream-provided mdocs.
  * debian/copyright: Drop my name from copyright holder. This was
    wrongly added in the last upload.

 -- Boyuan Yang <byang@debian.org>  Wed, 05 Aug 2020 09:16:35 -0400

tstools (1.13~git20151030-4) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - debhelper-compat bumped level to 13.
  * debian/copyright: Update years of copyright.
  * debian/patches: 0002-fix-spelling-error.patch added to fix
    some spelling.
  * debian/upstream/metadata: Created.
  * debian/rules: Remove not needed injection of linker flags and
    removed unnecessary lines.

 -- Joao Paulo Lima de Oliveira <jlima.oliveira11@gmail.com>  Fri, 19 Jun 2020 09:49:58 -0300

tstools (1.13~git20151030-3) unstable; urgency=medium

  * QA upload.

  [ Helmut Grohne ]
  * debian/rules: Fix FTCBFS: Export a suitable LD.
    (Closes: #943852)

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Nov 2019 14:28:41 -0500

tstools (1.13~git20151030-2) unstable; urgency=high

  * QA upload.
  * debian/rules: Install tsfilter tool as tsfilter.tstools at
    this moment since tsfilter has already been provided by
    openraster. (Closes: #942040)
  * debian/control: Use "Rules-Requires-Root: no".

 -- Boyuan Yang <byang@debian.org>  Tue, 29 Oct 2019 13:30:38 -0400

tstools (1.13~git20151030-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
    + Fix FTBFS with new gcc.
      (Closes: #925842, LP: #832801)
    + The package now builds fine with new make. (Closes: #726424)
  * Orphan the package since the original maintainer has agreed
    to have package maintainership transferred.
    (Closes: #941364)
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.1.
    + Add Vcs-* fields for git packaging repo under Salsa Debian Group.
    + Update homepage and point to a GitHub project.
  * debian/rules: Use dh sequencer. (Closes: #923280)
  * debian/dirs: Removed, useless.
  * debian/copyright: Rewrite in machine-readable format.
  * debian/source/format: Explicitly use "3.0 (quilt)" format.
  * debian/patches: Fix Makefile for correct installation prefix.

 -- Boyuan Yang <byang@debian.org>  Tue, 01 Oct 2019 11:34:56 -0400

tstools (1.11-1) unstable; urgency=low

  * Initial release (Closes: #505304)

 -- Lorenzo Granai <lgranai@gmail.com>  Tue, 11 Nov 2008 15:47:39 +0000

=== debian/control ===
Source: tstools
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/kynesim/tstools
Vcs-Git: https://salsa.debian.org/debian/tstools.git
Vcs-Browser: https://salsa.debian.org/debian/tstools

Package: tstools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: set of tools for reporting on and manipulating MPEG data
 TStools is a set of cross-platform command line tools for working with MPEG
 data.
 .
 The emphasis is on relatively simple tools which concentrate on MPEG (H.264
 and H.262) data packaged according to H.222 (i.e., TS or PS), with a particular
 interest in checking for conformance.
 .
 Transport Stream (TS) is typically used for distribution of cable and
 satellite data. Program Stream (PS) is typically used to store data on DVDs.
 .
 The tools are focussed on:
  * Quick reporting of useful data (tsinfo, stream_type)
  * Giving a quick overview of the entities in the stream (esdots, psdots)
  * Reporting on TS packets (tsreport) or ES units/frames/fields (esreport)
  * Simple manipulation of stream data (es2ts, esfilter, esreverse, esmerge,
    ts2es)
  * Streaming of data, possibly with introduced errors (tsplay)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

DPKG_EXPORT_BUILDTOOLS=1
include /usr/share/dpkg/default.mk
-include /usr/share/dpkg/buildtools.mk

DEB_CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
DEB_LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

export DEB_CFLAGS
export DEB_LDFLAGS

%:
	dh $@

execute_after_dh_auto_install:
	# /usr/bin/tsfilter is provided by openraster at this time
	mv $(CURDIR)/debian/tstools/usr/bin/tsfilter $(CURDIR)/debian/tstools/usr/bin/tsfilter.tstools
	mv $(CURDIR)/debian/tstools/usr/share/man/man1/tsfilter.1 $(CURDIR)/debian/tstools/usr/share/man/man1/tsfilter.tstools.1
